aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Schäfer <gentryx@gmx.de>2014-01-29 08:56:14 +0100
committerAndreas Schäfer <gentryx@gmx.de>2014-01-29 08:56:14 +0100
commit09df0fea2d50a612a4a17f9dcac3835d7d3a9935 (patch)
tree79a654871d15194adb2a793cd2c71571517bece6
parenttying VisIt to same Python version as VTK (diff)
parentAsk for a branch per package (diff)
downloadsci-09df0fea2d50a612a4a17f9dcac3835d7d3a9935.tar.gz
sci-09df0fea2d50a612a4a17f9dcac3835d7d3a9935.tar.bz2
sci-09df0fea2d50a612a4a17f9dcac3835d7d3a9935.zip
Merge https://github.com/gentoo-science/sci
-rw-r--r--CONTRIBUTING.md147
-rw-r--r--README.md13
-rw-r--r--app-text/jabref/ChangeLog5
-rw-r--r--app-text/jabref/jabref-2.9.2-r1.ebuild5
-rw-r--r--sci-libs/atlas/Manifest1
-rw-r--r--sci-libs/atlas/atlas-3.10.1-r2.ebuild270
-rw-r--r--sci-libs/lapack-reference/ChangeLog6
-rw-r--r--sci-libs/lapack-reference/Manifest1
l---------sci-libs/lapack-reference/lapack-reference-3.5.0.ebuild1
-rw-r--r--sci-libs/lapacke-reference/ChangeLog6
-rw-r--r--sci-libs/lapacke-reference/Manifest1
l---------sci-libs/lapacke-reference/lapacke-reference-3.5.0.ebuild1
-rw-r--r--sci-libs/lapacke-reference/lapacke-reference-9999.ebuild4
-rw-r--r--sci-libs/plasma/ChangeLog10
-rw-r--r--sci-libs/plasma/Manifest4
-rw-r--r--sci-libs/plasma/plasma-2.5.2.ebuild (renamed from sci-libs/plasma/plasma-2.5.1.ebuild)25
-rw-r--r--sci-libs/plasma/plasma-2.6.0.ebuild (renamed from sci-libs/plasma/plasma-2.4.6.ebuild)37
-rw-r--r--sci-libs/tmglib/ChangeLog5
-rw-r--r--sci-libs/tmglib/Manifest1
-rw-r--r--sci-libs/tmglib/tmglib-3.5.0.ebuild61
-rwxr-xr-xscripts/merge-dualHEAD64
-rw-r--r--virtual/blas/blas-2.1-r1.ebuild6
-rw-r--r--virtual/lapack/lapack-3.5.ebuild31
-rw-r--r--virtual/lapacke/ChangeLog8
-rw-r--r--virtual/lapacke/lapacke-3.5.ebuild19
25 files changed, 691 insertions, 41 deletions
diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index 7579f6dba..8f02ccc5c 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -1,7 +1,150 @@
#Contributions to the Gentoo Science Overlay
+This guide summarizes the contribution and merging procedures for the Gentoo Science overlay on Github. For more information please visit the [Science Project page](https://wiki.gentoo.org/wiki/Project:Science/Contributing) in the [Gentoo wiki](https://wiki.gentoo.org/).
+
+----
##Prerequisite
+For the most convenient way to work with the overlay you should fulfill all prerequisites.
+
+###Required
+
+* **Install git**
+
+The Science overlay is controlled by [git](http://git-scm.com/). You can install it with
+
+ emerge dev-vcs/git
+
+Familiarize yourself with git and visit [http://git-scm.com/documentation](http://git-scm.com/documentation) for documentation.
+
+* **Account at [github](https://github.com/join)**
+
+Everybody who wants to contribute needs to own an account @ [Github](http://github.com/). Please register yourself [there](https://github.com/join).
+
+###Recommended
+* **Define the echangelog user**
+
+Make sure the ECHANGELOG_USER variable is present in your environment.
+
+ echo 'export ECHANGELOG_USER="John Smith <john@smith.com>"' >> ~/.bashrc
+
+###Optional
+* **Setup commit signing**
+
+Create a [gpg key](http://www.gossamer-threads.com/lists/gentoo/dev/268496?do=post_view_threaded) if you don't have one already and make git use it.
+
+ git config --global user.signingkey <gpg-key-id>
+
+Now git will sign your commits to the overlay by using the gpg key.
+
+* **Install [hub](http://hub.github.com/)**, the *command-line wrapper for git that makes you better at GitHub*.
+
+*hub* can be used equivalent to to *git* and upstream even recommends *"alias git='hub'*.
+
+ emerge dev-vcs/hub
+
+* **Install [repo-commit](https://bitbucket.org/gentoo/repo-commit/)**, *A repository commit helper*
+
+*repo-commit* sanitizes your commit in a convenient way.
+
+ emerge app-portage/repo-commit
+
+---
+##Contributing ebuilds
+
+###Clone the overlay
+
+Create a local checkout of the overlay
+
+ hub clone gentoo-science/sci
+
+###Fork the overlay
+In order to send pull request and ask for inclusion of your changes you need to have your own fork of the overlay on github. You can do this by issuing
+
+ cd sci
+ hub fork
+
+###Branch out for contribution
+It is always convenient for development as well as for the review and merging process, if the development is done in branches.
+
+ git checkout -b my-feature master
+
+For the fastest process during merging it is best to have a single branch per package.
+
+###Work on the package
+Now you are ready to work on your package of interest. Once you are finished you should _always_ use **[repoman](http://dev.gentoo.org/~zmedico/portage/doc/man/repoman.1.html)** to do a static analysis of your work.
+
+This can be done with
+
+ repoman full
+
+###Commit your work
+Once *all* reported problems are resolved, you can commit it
+
+ repo-commit "Here we write a comprehensible commit message"
+
+###Push to Github and make a pull request
+Next we push back the changes to our fork and send a pull-request to the overlay maintainers.
+
+ hub push YOUR_GITHUB_USER
+ hub pull-request
+
+Lastly you need to wait for review comments and the merge of your work. If you feel that they are slacking, don't bother to ping them again. In case you need to include some improvements, just commit your work again using *repo-commit* and push it again to your fork. No need to send another pull-request as your new changes will be added to the original one.
+
+###What's next?
+If you would like to get direct access to the overlay, prove some contribution and ping us via sci@gentoo.org or on irc in #gentoo-science @ freenode. If you would like to become a dev yourself, prove some more contributions and again, contact us. We are always looking for new candidates.
+
+----
+##Merging contributions
+
+**It is important, that if you merge a pull request, you should feel as responsible as if you have written the commits yourself!**
+
+
+
+###Prerequisite
+
+Make sure you have both repos (github & gentoo.org) as remotes defined.
+
+ git remote -v
+
+should give
+
+>github git@github.com:gentoo-science/sci.git (fetch)
+>
+>github git@github.com:gentoo-science/sci.git (push)
+>
+>origin git+ssh://git@git.overlays.gentoo.org/proj/sci.git (fetch)
+>
+>origin git+ssh://git@git.overlays.gentoo.org/proj/sci.git (push)
+
+
+###Review process
+
+In the beginning you should review the pull request on github directly and recommend as much improvements as possible. By this you train the new contributor towards becoming a new dev, which should be our final goal.
+
+####Checking out the pull-request as local branch
+Once everything is fine or you like to fix the rest yourself, simply use the following command to get the pull-request in a new branch in your repo.
+
+ hub checkout https://github.com/gentoo-science/sci/pull/PULLREQUEST-NUMBER
+
+####Testing and repoman check
+Now check the package by building and installing it, and run *repoman* in the package dir. Remember, when merging a pull request you take the responsibility for the quality of the commit.
+
+####Merge the pull-request branch into master
+If this is also fine, merge the branch into the master
+
+ git checkout master
+ git merge USER-BRANCH
+
+####Merging the two remote HEADs
+Finally use the script **merge-dualHEAD** from the *scripts* directory to merge the github and gentoo.org remote repo.
+
+
+---
+####Contribution to the document
+Sebastien Fabbro <bicatali@gentoo.org>
+
+Justin Lecher <jlec@gentoo.org>
-###For Contributors
+This document is available under [Creative Commons Attribution ShareAlike 4.0](http://creativecommons.org/licenses/by-sa/4.0)
-###For Maintainers
+![ccsa-4 icon](http://i.creativecommons.org/l/by-sa/4.0/88x31.png)
diff --git a/README.md b/README.md
index d4dc43f76..4a2dc9550 100644
--- a/README.md
+++ b/README.md
@@ -1,12 +1,13 @@
-Gentoo Science Overlay
-======================
+#Gentoo Science Overlay
An overlay for Gentoo, geared towards scientific packages.
-Please fork! We will merge!
+Homepage: [Science Project page](https://wiki.gentoo.org/wiki/Project:Science/Overlay)
-Ask for help in #gentoo-science in irc freenode.
-Report issues on the github site:
+Please fork! We will merge! See [this](https://github.com/gentoo-science/sci/blob/master/CONTRIBUTING.md) document for more instructions.
+
+Ask for help on irc in #gentoo-science @ freenode.
+
+Report bugs on the [github issues site](https://github.com/gentoo-science/sci/issues)
-https://github.com/gentoo-science/sci/issues
diff --git a/app-text/jabref/ChangeLog b/app-text/jabref/ChangeLog
index f194bafb3..7a6174844 100644
--- a/app-text/jabref/ChangeLog
+++ b/app-text/jabref/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 28 Jan 2014; Nicolas Bock <nicolasbock@gentoo.org> jabref-2.9.2-r1.ebuild:
+ app-text/jabref: Removed docs USE flag from jabref-2.9.2-r1 The documentation
+ build system in this version is broken. The current beta version (2.10_beta2)
+ fixes this issue.
+
28 Jan 2014; Justin Lecher <jlec@gentoo.org> -jabref-2.10_beta.ebuild,
-jabref-2.10_beta-r1.ebuild, -jabref-2.10_beta2.ebuild,
jabref-2.10_beta2-r1.ebuild:
diff --git a/app-text/jabref/jabref-2.9.2-r1.ebuild b/app-text/jabref/jabref-2.9.2-r1.ebuild
index c5cf340df..8b1f8c0c2 100644
--- a/app-text/jabref/jabref-2.9.2-r1.ebuild
+++ b/app-text/jabref/jabref-2.9.2-r1.ebuild
@@ -4,7 +4,6 @@
EAPI=5
-EANT_DOC_TARGET="docs"
EANT_BUILD_TARGET="jars"
inherit eutils java-pkg-2 java-ant-2 java-utils-2
@@ -16,15 +15,13 @@ SRC_URI="mirror://sourceforge/${PN}/JabRef-${PV}-src.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc"
+IUSE=""
DEPEND=">=virtual/jdk-1.6"
RDEPEND=">=virtual/jre-1.6"
src_install() {
java-pkg_newjar build/lib/JabRef-${PV}.jar
- use doc && java-pkg_dojavadoc build/docs/API
- dodoc src/txt/README
java-pkg_dolauncher ${PN} --main net.sf.jabref.JabRef
newicon src/images/JabRef-icon-48.png JabRef-icon.png
make_desktop_entry ${PN} JabRef JabRef-icon Office
diff --git a/sci-libs/atlas/Manifest b/sci-libs/atlas/Manifest
index 70dc35a62..6ee8e124b 100644
--- a/sci-libs/atlas/Manifest
+++ b/sci-libs/atlas/Manifest
@@ -1,2 +1,3 @@
DIST atlas3.10.1.tar.bz2 4900179 SHA256 a215b492204aae0205f4028e7c4076492a5d6a564f8f859ff062fd79587bcc86 SHA512 027c8eea79bc584a4586e198fd9cc0ef7fffda3983082c11c2cf618837a24ba25cb26a831f55c35ac9a425e1b4bd1f379c62d99ef0c4e060bc4b1de59f3cf5fc WHIRLPOOL 0d88934e1b1c050f987dfb370043af3b36a277341d66eff854789d1017a09f60234bead6bda01682a675d00277610af35d05e037d3f9425871b66c9f54d2e5e1
DIST lapack-3.4.2.tgz 6168281 SHA256 60a65daaf16ec315034675942618a2230521ea7adf85eea788ee54841072faf0 SHA512 8770214491e31f0a7a3efaade90eee7b0eb20a8a6ab635c5f854d78263f59a1849133c14ef5123d01023f0110cbb9fc6f818da053c01277914ae81473430a952 WHIRLPOOL ca1333abaed2377e29acd08feee58241ba63b981ac5946dd9da663ed9c760e476ec3933a4989a964a66f5aaa72c868cd7f274259bc0dde0299d63fe60a3139fa
+DIST lapack-3.5.0.tgz 6313139 SHA256 9ad8f0d3f3fb5521db49f2dd716463b8fb2b6bc9dc386a9956b8c6144f726352 SHA512 b948a0a0db032bda455ec4f519d4e89e4c29e29cecb5b6258ca61f68faaeeac9fdf4ece5c39ffcd0154c5505facbc392c7d09c8348b1d60bdd2685153ab2543f WHIRLPOOL c97a3e843bbef0b79e47cf13a7b2173eeaada52f6059492edeb1a6558ecfb33c637c6f62ad77bfd2c468884becf7becb87bb476f6f5f41572d374dc1bd745c52
diff --git a/sci-libs/atlas/atlas-3.10.1-r2.ebuild b/sci-libs/atlas/atlas-3.10.1-r2.ebuild
new file mode 100644
index 000000000..f241af085
--- /dev/null
+++ b/sci-libs/atlas/atlas-3.10.1-r2.ebuild
@@ -0,0 +1,270 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+inherit eutils toolchain-funcs fortran-2 versionator alternatives-2 multilib
+
+LAPACKP=lapack-3.5.0.tgz
+
+DESCRIPTION="Automatically Tuned Linear Algebra Software"
+HOMEPAGE="http://math-atlas.sourceforge.net/"
+SRC_URI="mirror://sourceforge/math-atlas/${PN}${PV}.tar.bz2
+ fortran? ( lapack? ( http://www.netlib.org/lapack/${LAPACKP} ) )"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="fortran doc generic lapack static-libs threads"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/ATLAS"
+
+pkg_setup() {
+ local _cpufreq
+ for _cpufreq in /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor; do
+ if [ -f ${_cpufreq} ]; then
+ if grep -q performance ${_cpufreq}; then
+ echo 2> /dev/null performance > ${_cpufreq} || \
+ die "${PN} needs all cpu set to performance"
+ fi
+ fi
+ done
+ use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-3.10.0-x32-support.patch
+}
+
+src_configure() {
+ # hack needed to trick the flaky gcc detection
+ local mycc="$(type -P $(tc-getCC))"
+ [[ ${mycc} == *gcc* ]] && mycc=gcc
+ atlas_configure() {
+ local myconf=(
+ --prefix="${ED}/usr"
+ --libdir="${ED}/usr/$(get_libdir)"
+ --incdir="${ED}/usr/include"
+ --cc="$(tc-getCC)"
+ "-D c -DWALL"
+ "-C acg '${mycc}'"
+ "-F acg '${CFLAGS}'"
+ "-Ss pmake '\$(MAKE) ${MAKEOPTS}'"
+ )
+
+ # OpenMP shown to decreased performance over POSIX threads
+ # (at least in 3.9.x, see atlas-dev mailing list)
+ if use threads; then
+ if use generic; then # 2 threads is most generic
+ myconf+=( "-t 2" "-Si omp 0" )
+ else
+ myconf+=( "-t -1" "-Si omp 0" )
+ fi
+ else
+ myconf+=( "-t 0" "-Si omp 0" )
+ fi
+
+ if use amd64 || use ppc64 || use sparc; then
+ if [ ${ABI} = amd64 ] || [ ${ABI} = ppc64 ] || [ ${ABI} = sparc64 ] ; then
+ myconf+=( "-b 64" )
+ elif [ ${ABI} = x86 ] || [ ${ABI} = ppc ] || [ ${ABI} = sparc32 ] ; then
+ myconf+=( "-b 32" )
+ elif [ ${ABI} = x32 ] ; then
+ myconf+=( "-b 48" )
+ else
+ myconf+=( "-b 64" )
+ fi
+ elif use ppc || use x86; then
+ myconf+=( "-b 32" )
+ elif use ia64; then
+ myconf+=( "-b 64" )
+ fi
+ if use fortran; then
+ myconf+=(
+ "-C if '$(type -P $(tc-getFC))'"
+ "-F if '${FFLAGS}'"
+ )
+ if use lapack; then
+ myconf+=(
+ "-Si latune 1"
+ "--with-netlib-lapack-tarfile=${DISTDIR}/${LAPACKP}"
+ )
+ else
+ myconf+=( "-Si latune 0" )
+ fi
+ else
+ myconf+=( "-Si latune 0" "--nof77" )
+ fi
+ # generic stuff found by make make xprint_enums in atlas build dir
+ # basically assuming sse2+sse1 and 2 threads max
+ use generic && use x86 && myconf+=( "-V 384 -A 13")
+ use generic && use amd64 && myconf+=( "-V 384 -A 24")
+
+ local confdir="${S}_${1}"; shift
+ myconf+=( $@ )
+ mkdir "${confdir}" && cd "${confdir}"
+ # for debugging
+ echo ${myconf[@]} > myconf.out
+ "${S}"/configure ${myconf[@]} || die "configure in ${confdir} failed"
+ }
+
+ atlas_configure shared "-Fa alg -fPIC" ${EXTRA_ECONF}
+ use static-libs && atlas_configure static ${EXTRA_ECONF}
+}
+
+src_compile() {
+ atlas_compile() {
+ pushd "${S}_${1}" > /dev/null
+ # atlas does its own parallel builds
+ emake -j1 build
+ cd lib
+ emake libclapack.a
+ [[ -e libptcblas.a ]] && emake libptclapack.a
+ popd > /dev/null
+ }
+
+ atlas_compile shared
+ use static-libs && atlas_compile static
+}
+
+src_test() {
+ cd "${S}_shared"
+ emake -j1 check time
+}
+
+# transform a static archive into a shared library and install them
+# atlas_install_libs <mylib.a> [extra link flags]
+atlas_install_libs() {
+ local libname=$(basename ${1%.*})
+ einfo "Installing ${libname}"
+ local soname=${libname}.so.$(get_major_version)
+ shift
+ pushd "${S}_shared"/lib > /dev/null
+ ${LINK:-$(tc-getCC)} ${LDFLAGS} -shared -Wl,-soname=${soname} \
+ -Wl,--whole-archive ${libname}.a -Wl,--no-whole-archive \
+ "$@" -o ${soname} || die "Creating ${soname} failed"
+ dolib.so ${soname}
+ ln -s ${soname} ${soname%.*}
+ dosym ${soname} /usr/$(get_libdir)/${soname%.*}
+ popd > /dev/null
+ use static-libs && dolib.a "${S}_static"/lib/${libname}.a
+}
+
+# create and install a pkgconfig file
+# atlas_install_pc <libname> <pkg name> [extra link flags]
+atlas_install_pc() {
+ local libname=${1} ; shift
+ local pcname=${1} ; shift
+ cat <<-EOF > ${pcname}.pc
+ prefix=${EPREFIX}/usr
+ libdir=\${prefix}/$(get_libdir)
+ includedir=\${prefix}/include
+ Name: ${pcname}
+ Description: ${PN} ${pcname}
+ Version: ${PV}
+ URL: ${HOMEPAGE}
+ Libs: -L\${libdir} -l${libname} $@
+ Libs.private: -L\${libdir} -latlas -lm ${PTLIBS}
+ Cflags: -I\${includedir}/${PN}
+ ${PCREQ}
+ EOF
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${pcname}.pc
+}
+
+src_install() {
+ cd "${S}_shared/lib"
+ # rename to avoid collision with other packages
+ local l
+ for l in {,c}{blas,lapack}; do
+ if [[ -e lib${l}.a ]]; then
+ mv lib{,atl}${l}.a
+ use static-libs && mv "${S}"_static/lib/lib{,atl}${l}.a
+ fi
+ done
+
+ [[ -e libptcblas.a ]] && PTLIBS="-lpthread"
+
+ # atlas
+ atlas_install_libs libatlas.a -lm ${PTLIBS}
+
+ # cblas
+ atlas_install_libs libatlcblas.a -lm -L. -latlas
+ atlas_install_pc atlcblas atlas-cblas
+ alternatives_for cblas atlas 0 \
+ /usr/$(get_libdir)/pkgconfig/cblas.pc atlas-cblas.pc \
+ /usr/include/cblas.h atlas/cblas.h
+
+ # cblas threaded
+ if [[ -e libptcblas.a ]]; then
+ atlas_install_libs libptcblas.a -lm -L. -latlas ${PTLIBS}
+ atlas_install_pc ptcblas atlas-cblas-threads
+ alternatives_for cblas atlas-threads 0 \
+ /usr/$(get_libdir)/pkgconfig/cblas.pc atlas-cblas-threads.pc \
+ /usr/include/cblas.h atlas/cblas.h
+ fi
+
+ if use lapack; then
+ PCREQ="Requires: cblas"
+ # clapack
+ atlas_install_libs libatlclapack.a -lm -L. -latlas -latlcblas
+ atlas_install_pc atlclapack atlas-clapack
+
+ # clapack threaded
+ if [[ -e libptclapack.a ]]; then
+ atlas_install_libs libptclapack.a -lm -L. -latlas -lptcblas ${PTLIBS}
+ atlas_install_pc ptclapack atlas-clapack-threads
+ fi
+ fi
+
+ if use fortran; then
+ LINK=$(tc-getF77) PCREQ=
+
+ # blas
+ atlas_install_libs libf77blas.a -lm -L. -latlas
+ atlas_install_pc f77blas atlas-blas
+ alternatives_for blas atlas 0 \
+ /usr/$(get_libdir)/pkgconfig/blas.pc atlas-blas.pc
+
+ # blas threaded
+ if [[ -e libptf77blas.a ]]; then
+ atlas_install_libs libptf77blas.a -lm -L. -latlas ${PTLIBS}
+ atlas_install_pc ptf77blas atlas-blas-threads
+ alternatives_for blas atlas-threads 0 \
+ /usr/$(get_libdir)/pkgconfig/blas.pc atlas-blas-threads.pc
+ fi
+
+ if use lapack; then
+ PCREQ="Requires: blas cblas"
+ # lapack
+ atlas_install_libs libatllapack.a \
+ -lm -L. -latlas -latlcblas -lf77blas
+ atlas_install_pc atllapack atlas-lapack
+ alternatives_for lapack atlas 0 \
+ /usr/$(get_libdir)/pkgconfig/lapack.pc atlas-lapack.pc
+ # lapack threaded
+ if [[ -e libptlapack.a ]]; then
+ atlas_install_libs libptlapack.a \
+ -lm -L. -latlas -lptcblas -lptf77blas ${PTLIBS}
+ atlas_install_pc ptlapack atlas-lapack-threads
+ alternatives_for lapack atlas-threads 0 \
+ /usr/$(get_libdir)/pkgconfig/lapack.pc atlas-lapack-threads.pc
+ fi
+ fi
+ fi
+
+ cd "${S}"
+ insinto /usr/include/${PN}
+ doins include/*.h
+
+ cd "${S}/doc"
+ dodoc INDEX.txt AtlasCredits.txt ChangeLog
+ use doc && dodoc atlas*pdf cblas.pdf cblasqref.pdf
+ use doc && use fortran && dodoc f77blas*pdf
+ use doc && use fortran && use lapack && dodoc *lapack*pdf
+}
diff --git a/sci-libs/lapack-reference/ChangeLog b/sci-libs/lapack-reference/ChangeLog
index 22b1f9e20..0e0a1b8da 100644
--- a/sci-libs/lapack-reference/ChangeLog
+++ b/sci-libs/lapack-reference/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-libs/lapack-reference/ChangeLog,v 1.51 2010/10/02 20:49:51 grobian Exp $
+*lapack-reference-3.5.0 (08 Dec 2013)
+
+ 08 Dec 2013; Sébastien Fabbro <bicatali@gentoo.org>
+ +lapack-reference-3.5.0.ebuild:
+ sci-libs/lapack-reference: Version bump
+
22 May 2013; Sébastien Fabbro <bicatali@gentoo.org>
lapack-reference-9999.ebuild, metadata.xml:
sci-libs/lapack-reference: Switch to EAPI5, merge live ebuild
diff --git a/sci-libs/lapack-reference/Manifest b/sci-libs/lapack-reference/Manifest
index 4e50a7e07..279e75768 100644
--- a/sci-libs/lapack-reference/Manifest
+++ b/sci-libs/lapack-reference/Manifest
@@ -1 +1,2 @@
DIST lapack-3.4.2.tgz 6168281 SHA256 60a65daaf16ec315034675942618a2230521ea7adf85eea788ee54841072faf0 SHA512 8770214491e31f0a7a3efaade90eee7b0eb20a8a6ab635c5f854d78263f59a1849133c14ef5123d01023f0110cbb9fc6f818da053c01277914ae81473430a952 WHIRLPOOL ca1333abaed2377e29acd08feee58241ba63b981ac5946dd9da663ed9c760e476ec3933a4989a964a66f5aaa72c868cd7f274259bc0dde0299d63fe60a3139fa
+DIST lapack-3.5.0.tgz 6313139 SHA256 9ad8f0d3f3fb5521db49f2dd716463b8fb2b6bc9dc386a9956b8c6144f726352 SHA512 b948a0a0db032bda455ec4f519d4e89e4c29e29cecb5b6258ca61f68faaeeac9fdf4ece5c39ffcd0154c5505facbc392c7d09c8348b1d60bdd2685153ab2543f WHIRLPOOL c97a3e843bbef0b79e47cf13a7b2173eeaada52f6059492edeb1a6558ecfb33c637c6f62ad77bfd2c468884becf7becb87bb476f6f5f41572d374dc1bd745c52
diff --git a/sci-libs/lapack-reference/lapack-reference-3.5.0.ebuild b/sci-libs/lapack-reference/lapack-reference-3.5.0.ebuild
new file mode 120000
index 000000000..0d81fdd39
--- /dev/null
+++ b/sci-libs/lapack-reference/lapack-reference-3.5.0.ebuild
@@ -0,0 +1 @@
+lapack-reference-9999.ebuild \ No newline at end of file
diff --git a/sci-libs/lapacke-reference/ChangeLog b/sci-libs/lapacke-reference/ChangeLog
index a43589b19..1533c0a3e 100644
--- a/sci-libs/lapacke-reference/ChangeLog
+++ b/sci-libs/lapacke-reference/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*lapacke-reference-3.5.0 (08 Dec 2013)
+
+ 08 Dec 2013; Sébastien Fabbro <bicatali@gentoo.org>
+ +lapacke-reference-3.5.0.ebuild, lapacke-reference-9999.ebuild:
+ sci-libs/lapacke-reference: Version bump
+
*lapacke-reference-9999 (25 May 2013)
25 May 2013; Sébastien Fabbro <bicatali@gentoo.org>
diff --git a/sci-libs/lapacke-reference/Manifest b/sci-libs/lapacke-reference/Manifest
index 4e50a7e07..279e75768 100644
--- a/sci-libs/lapacke-reference/Manifest
+++ b/sci-libs/lapacke-reference/Manifest
@@ -1 +1,2 @@
DIST lapack-3.4.2.tgz 6168281 SHA256 60a65daaf16ec315034675942618a2230521ea7adf85eea788ee54841072faf0 SHA512 8770214491e31f0a7a3efaade90eee7b0eb20a8a6ab635c5f854d78263f59a1849133c14ef5123d01023f0110cbb9fc6f818da053c01277914ae81473430a952 WHIRLPOOL ca1333abaed2377e29acd08feee58241ba63b981ac5946dd9da663ed9c760e476ec3933a4989a964a66f5aaa72c868cd7f274259bc0dde0299d63fe60a3139fa
+DIST lapack-3.5.0.tgz 6313139 SHA256 9ad8f0d3f3fb5521db49f2dd716463b8fb2b6bc9dc386a9956b8c6144f726352 SHA512 b948a0a0db032bda455ec4f519d4e89e4c29e29cecb5b6258ca61f68faaeeac9fdf4ece5c39ffcd0154c5505facbc392c7d09c8348b1d60bdd2685153ab2543f WHIRLPOOL c97a3e843bbef0b79e47cf13a7b2173eeaada52f6059492edeb1a6558ecfb33c637c6f62ad77bfd2c468884becf7becb87bb476f6f5f41572d374dc1bd745c52
diff --git a/sci-libs/lapacke-reference/lapacke-reference-3.5.0.ebuild b/sci-libs/lapacke-reference/lapacke-reference-3.5.0.ebuild
new file mode 120000
index 000000000..19f551af7
--- /dev/null
+++ b/sci-libs/lapacke-reference/lapacke-reference-3.5.0.ebuild
@@ -0,0 +1 @@
+lapacke-reference-9999.ebuild \ No newline at end of file
diff --git a/sci-libs/lapacke-reference/lapacke-reference-9999.ebuild b/sci-libs/lapacke-reference/lapacke-reference-9999.ebuild
index b2b696794..5ffe04e02 100644
--- a/sci-libs/lapacke-reference/lapacke-reference-9999.ebuild
+++ b/sci-libs/lapacke-reference/lapacke-reference-9999.ebuild
@@ -45,10 +45,10 @@ src_prepare() {
-e '/LAPACK_LIBRARIES/s:lapacke:reflapacke:g' \
CMakeLists.txt || die
sed -i \
- -e 's:(lapacke:(reflapacke:g' \
+ -e '/librar/s:(lapacke:(reflapacke:g' \
lapacke/CMakeLists.txt || die
sed -i \
- -e 's:lapacke:reflapacke:g' \
+ -e '/librar/s:lapacke:reflapacke:g' \
lapacke/example/CMakeLists.txt || die
local tmgpc; use tmg && tmgpc=" -ltmglib"
sed -i \
diff --git a/sci-libs/plasma/ChangeLog b/sci-libs/plasma/ChangeLog
index 63aa67393..6072d195a 100644
--- a/sci-libs/plasma/ChangeLog
+++ b/sci-libs/plasma/ChangeLog
@@ -1,7 +1,15 @@
# ChangeLog for sci-libs/plasma
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*plasma-2.6.0 (28 Jan 2014)
+
+ 28 Jan 2014; Sébastien Fabbro <bicatali@gentoo.org> +plasma-2.6.0.ebuild:
+ sci-libs/plasma: Version bump
+
+ 09 Dec 2013; Sébastien Fabbro <bicatali@gentoo.org> plasma-2.5.2.ebuild:
+ sci-libs/plasma: Version bump
+
*plasma-2.5.1 (12 Jul 2013)
12 Jul 2013; Sébastien Fabbro <bicatali@gentoo.org> +plasma-2.5.1.ebuild:
diff --git a/sci-libs/plasma/Manifest b/sci-libs/plasma/Manifest
index 90971ead5..9401cfc46 100644
--- a/sci-libs/plasma/Manifest
+++ b/sci-libs/plasma/Manifest
@@ -1,2 +1,2 @@
-DIST plasma_2.4.6.tar.gz 6482560 SHA256 676a71e7f1a078edf1d4fc9ed936a137b6c90f2e623255bbf55df1f126d4e38d SHA512 310adc4b5d6f359240a9976811e5c6165421714b09480d8dadf9a28305f9f33ec97cf809005b97328586f3dd35914d625c164787e439ea0071872004ba9314f1 WHIRLPOOL 9bef954df9007ba8968cd2dafde1c6f72cd396d3a96901a47b20c7ec3c8a2dab23cf94be5f82e4270c24f1fe1339ff6c178cf49e42827e731cc4d3c4d33f53da
-DIST plasma_2.5.1.tar.gz 5355319 SHA256 f2b290698c445dda5cb1919494f71a3d0912e5784f5bdd0c3356624bee100026 SHA512 c8e4cfd0c546138bb000fa7c20957546807ae5d5589aabc86fe81a36314f33f19c7bda1c5c4fec57a34c911ac7578310e744519d5bfe8fd95588aab6af83fae6 WHIRLPOOL b820291798b006b3040cb6e34e6c0e88d761aef7f75a23aa296c6e6d36713d4fe1ba30303c6127d8b23ec0a8142c12c1dca6f99764a9c51fe85fd8f25470aa87
+DIST plasma_2.5.2.tar.gz 5354770 SHA256 3efaa35bed186f43cdd30ee7939a343048b9a6d0ae419cda749660ce66f372a3 SHA512 0ee93bd25fee721a76a28118ef21edcda84830516226ec97806cf52602c4f6df600f14db06d569413ccc83d4ae7f6d9d3ad0853132d0824b3e3efa41b53a8a3f WHIRLPOOL 67d3e6528bfd6a1ca01430a854e67f91f971dc0604983d1879a685056327138638248f8ff85cf0ba9616d74f4185000afbbdbbdc7db761a12d6702bf2db02937
+DIST plasma_2.6.0.tar.gz 6264802 SHA256 dbdc59032a5406bbb20235f461ac31470169fab47a6ccc6f7c18f1ee7569b03e SHA512 887ca2a121e67e9e8279a8da002a3a1e44d10e26e8bdbe7a9f30e6d10cee7ff6b78d95f39412a347c6a89f9fc2ff7fea02f71fdacca3c4fb9353d39381f35f2b WHIRLPOOL de4a5a08d834d5c49233e7d714c32b092c0dfd87e4b4e995c7286afd8fdfee8d262c194856958b349ec35ef0c283c67f2a349814a69ba32002d6e2ba154aef60
diff --git a/sci-libs/plasma/plasma-2.5.1.ebuild b/sci-libs/plasma/plasma-2.5.2.ebuild
index 5609c243e..0d4af6a9c 100644
--- a/sci-libs/plasma/plasma-2.5.1.ebuild
+++ b/sci-libs/plasma/plasma-2.5.2.ebuild
@@ -3,7 +3,7 @@
# $Header: $
EAPI=5
-inherit eutils fortran-2 toolchain-funcs versionator multilib
+inherit eutils fortran-2 toolchain-funcs versionator multilib flag-o-matic
MYP=${PN}_${PV}
@@ -55,7 +55,15 @@ static_to_shared() {
}
src_prepare() {
- # distributed pc file not so useful
+ # rename plasma to avoid collision (https://github.com/gentoo-science/sci/issues/34)
+ # lib name conflict with kde plasma, rename
+ PLASMA_LIBNAME=plasmca
+ sed -i \
+ -e "s/-lplasma/-l${PLASMA_LIBNAME}/g" \
+ -e "s/libplasma.a/lib${PLASMA_LIBNAME}.a/" \
+ Makefile.internal || die
+
+ # distributed pc file not so useful, so redo it
cat <<-EOF > ${PN}.pc
prefix=${EPREFIX}/usr
libdir=\${prefix}/$(get_libdir)
@@ -64,7 +72,7 @@ src_prepare() {
Description: ${DESCRIPTION}
Version: ${PV}
URL: ${HOMEPAGE}
- Libs: -L\${libdir} -lplasmca -lcoreblas -lquark
+ Libs: -L\${libdir} -l${PLASMA_LIBNAME} -lcoreblas -lquark
Libs.private: -lm
Cflags: -I\${includedir}
Requires: blas cblas lapack lapacke hwloc
@@ -78,12 +86,12 @@ src_configure() {
RANLIB = $(tc-getRANLIB)
CC = $(tc-getCC)
FC = $(tc-getFC)
- CFLAGS = ${CFLAGS} -DADD_ -fPIC
+ CFLAGS = ${CFLAGS} -DADD_ -fPIC $(has_version ">=virtual/lapacke-3.5" && echo "-DDOXYGEN_SHOULD_SKIP_THIS=1")
FFLAGS = ${FFLAGS} -fPIC
LOADER = $(tc-getFC)
LIBBLAS = $($(tc-getPKG_CONFIG) --libs blas)
LIBCBLAS = $($(tc-getPKG_CONFIG) --libs cblas)
- LIBLAPACK = $($(tc-getPKG_CONFIG) --libs lapack)
+ LIBLAPACK = $($(tc-getPKG_CONFIG) --libs lapack) -ltmglib
LIBCLAPACK = $($(tc-getPKG_CONFIG) --libs lapacke)
$(use fortran && echo "PLASMA_F90 = 1")
EOF
@@ -91,11 +99,10 @@ src_configure() {
src_compile() {
emake lib
- # rename plasma to avoid collision (https://github.com/gentoo-science/sci/issues/34)
- mv lib/libplasm{,c}a.a || die
+ #mv lib/libplasma.a lib/lib${PLASMA_LIBNAME}.a || die
static_to_shared quark/libquark.a $($(tc-getPKG_CONFIG --libs hwloc)) -pthread
static_to_shared lib/libcoreblas.a quark/libquark.so $($(tc-getPKG_CONFIG --libs cblas lapacke))
- static_to_shared lib/libplasmca.a quark/libquark.so lib/libcoreblas.so
+ static_to_shared lib/lib${PLASMA_LIBNAME}.a quark/libquark.so lib/libcoreblas.so
if use static-libs; then
emake cleanall
sed 's/-fPIC//g' make.inc
@@ -127,7 +134,7 @@ src_install() {
}
pkg_postinst() {
- elog "The plasma linear algebra library has been renamed plasmca"
+ elog "The plasma linear algebra library file has been renamed ${PLASMA_LIBNAME}"
elog "to avoid collision with KDE plasma."
elog "Compile and link your programs using the following command:"
elog " pkg-config --cflags --libs plasma"
diff --git a/sci-libs/plasma/plasma-2.4.6.ebuild b/sci-libs/plasma/plasma-2.6.0.ebuild
index e3bd01667..067d27cc7 100644
--- a/sci-libs/plasma/plasma-2.4.6.ebuild
+++ b/sci-libs/plasma/plasma-2.6.0.ebuild
@@ -1,18 +1,19 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
-inherit eutils fortran-2 toolchain-funcs versionator multilib
+EAPI=5
+inherit eutils fortran-2 toolchain-funcs versionator multilib flag-o-matic
MYP=${PN}_${PV}
+SOVER=$(get_version_component_range 1)
DESCRIPTION="Parallel Linear Algebra for Scalable Multi-core Architecture"
HOMEPAGE="http://icl.cs.utk.edu/plasma/"
SRC_URI="http://icl.cs.utk.edu/projectsfiles/plasma/pubs/${MYP}.tar.gz"
LICENSE="BSD"
-SLOT="0"
+SLOT="0/${SOVER}"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples fortran static-libs test"
@@ -34,7 +35,7 @@ S="${WORKDIR}/${MYP}"
static_to_shared() {
local libstatic=${1}; shift
local libname=$(basename ${libstatic%.a})
- local soname=${libname}$(get_libname $(get_version_component_range 1-2))
+ local soname=${libname}$(get_libname ${SOVER})
local libdir=$(dirname ${libstatic})
einfo "Making ${soname} from ${libstatic}"
@@ -55,7 +56,15 @@ static_to_shared() {
}
src_prepare() {
- # distributed pc file not so useful
+ # rename plasma to avoid collision (https://github.com/gentoo-science/sci/issues/34)
+ # lib name conflict with kde plasma, rename
+ PLASMA_LIBNAME=plasmca
+ sed -i \
+ -e "s/-lplasma/-l${PLASMA_LIBNAME}/g" \
+ -e "s/libplasma.a/lib${PLASMA_LIBNAME}.a/" \
+ Makefile.internal || die
+
+ # distributed pc file not so useful, so redo it
cat <<-EOF > ${PN}.pc
prefix=${EPREFIX}/usr
libdir=\${prefix}/$(get_libdir)
@@ -64,7 +73,7 @@ src_prepare() {
Description: ${DESCRIPTION}
Version: ${PV}
URL: ${HOMEPAGE}
- Libs: -L\${libdir} -lplasma -lcoreblas -lquark
+ Libs: -L\${libdir} -l${PLASMA_LIBNAME} -lcoreblas -lquark
Libs.private: -lm
Cflags: -I\${includedir}
Requires: blas cblas lapack lapacke hwloc
@@ -78,12 +87,12 @@ src_configure() {
RANLIB = $(tc-getRANLIB)
CC = $(tc-getCC)
FC = $(tc-getFC)
- CFLAGS = ${CFLAGS} -DADD_ -fPIC
+ CFLAGS = ${CFLAGS} -DADD_ -fPIC $(has_version ">=virtual/lapacke-3.5" && echo "-DDOXYGEN_SHOULD_SKIP_THIS=1")
FFLAGS = ${FFLAGS} -fPIC
LOADER = $(tc-getFC)
LIBBLAS = $($(tc-getPKG_CONFIG) --libs blas)
LIBCBLAS = $($(tc-getPKG_CONFIG) --libs cblas)
- LIBLAPACK = $($(tc-getPKG_CONFIG) --libs lapack)
+ LIBLAPACK = $($(tc-getPKG_CONFIG) --libs lapack) -ltmglib
LIBCLAPACK = $($(tc-getPKG_CONFIG) --libs lapacke)
$(use fortran && echo "PLASMA_F90 = 1")
EOF
@@ -91,9 +100,10 @@ src_configure() {
src_compile() {
emake lib
+ #mv lib/libplasma.a lib/lib${PLASMA_LIBNAME}.a || die
static_to_shared quark/libquark.a $($(tc-getPKG_CONFIG --libs hwloc)) -pthread
static_to_shared lib/libcoreblas.a quark/libquark.so $($(tc-getPKG_CONFIG --libs cblas lapacke))
- static_to_shared lib/libplasma.a quark/libquark.so lib/libcoreblas.so
+ static_to_shared lib/lib${PLASMA_LIBNAME}.a quark/libquark.so lib/libcoreblas.so
if use static-libs; then
emake cleanall
sed 's/-fPIC//g' make.inc
@@ -123,3 +133,10 @@ src_install() {
doins -r examples
fi
}
+
+pkg_postinst() {
+ elog "The plasma linear algebra library file has been renamed ${PLASMA_LIBNAME}"
+ elog "to avoid collision with KDE plasma."
+ elog "Compile and link your programs using the following command:"
+ elog " pkg-config --cflags --libs plasma"
+}
diff --git a/sci-libs/tmglib/ChangeLog b/sci-libs/tmglib/ChangeLog
index b923543b8..54e33f93d 100644
--- a/sci-libs/tmglib/ChangeLog
+++ b/sci-libs/tmglib/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*tmglib-3.5.0 (09 Dec 2013)
+
+ 09 Dec 2013; Sébastien Fabbro <bicatali@gentoo.org> +tmglib-3.5.0.ebuild:
+ sci-libs/tmglib: Version bump
+
22 Feb 2013; Justin Lecher <jlec@gentoo.org> tmglib-3.4.2.ebuild,
metadata.xml:
Add missing dep on virtual/blas
diff --git a/sci-libs/tmglib/Manifest b/sci-libs/tmglib/Manifest
index 4e50a7e07..279e75768 100644
--- a/sci-libs/tmglib/Manifest
+++ b/sci-libs/tmglib/Manifest
@@ -1 +1,2 @@
DIST lapack-3.4.2.tgz 6168281 SHA256 60a65daaf16ec315034675942618a2230521ea7adf85eea788ee54841072faf0 SHA512 8770214491e31f0a7a3efaade90eee7b0eb20a8a6ab635c5f854d78263f59a1849133c14ef5123d01023f0110cbb9fc6f818da053c01277914ae81473430a952 WHIRLPOOL ca1333abaed2377e29acd08feee58241ba63b981ac5946dd9da663ed9c760e476ec3933a4989a964a66f5aaa72c868cd7f274259bc0dde0299d63fe60a3139fa
+DIST lapack-3.5.0.tgz 6313139 SHA256 9ad8f0d3f3fb5521db49f2dd716463b8fb2b6bc9dc386a9956b8c6144f726352 SHA512 b948a0a0db032bda455ec4f519d4e89e4c29e29cecb5b6258ca61f68faaeeac9fdf4ece5c39ffcd0154c5505facbc392c7d09c8348b1d60bdd2685153ab2543f WHIRLPOOL c97a3e843bbef0b79e47cf13a7b2173eeaada52f6059492edeb1a6558ecfb33c637c6f62ad77bfd2c468884becf7becb87bb476f6f5f41572d374dc1bd745c52
diff --git a/sci-libs/tmglib/tmglib-3.5.0.ebuild b/sci-libs/tmglib/tmglib-3.5.0.ebuild
new file mode 100644
index 000000000..0c7628330
--- /dev/null
+++ b/sci-libs/tmglib/tmglib-3.5.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit cmake-utils fortran-2
+
+MYP=lapack-${PV}
+
+DESCRIPTION="Test Matrix Generator library for LAPACK"
+HOMEPAGE="http://www.netlib.org/lapack/"
+SRC_URI="http://www.netlib.org/lapack/${MYP}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="
+ virtual/blas
+ virtual/lapack"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MYP}"
+
+src_prepare() {
+ use static-libs && mkdir "${WORKDIR}/${PN}_static"
+}
+
+src_configure() {
+ tmg_configure() {
+ local mycmakeargs=(
+ -DUSE_OPTIMIZED_BLAS=ON
+ -DUSE_OPTIMIZED_LAPACK=ON
+ -DBLAS_LIBRARIES="$($(tc-getPKG_CONFIG) --libs blas)"
+ -DLAPACK_LIBRARIES="$($(tc-getPKG_CONFIG) --libs lapack)"
+ -DTESTING=ON
+ $@
+ )
+ cmake-utils_src_configure
+ }
+
+ tmg_configure -DBUILD_SHARED_LIBS=ON -DBUILD_STATIC_LIBS=OFF
+ use static-libs && \
+ CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" tmg_configure \
+ -DBUILD_SHARED_LIBS=OFF -DBUILD_STATIC_LIBS=ON
+}
+
+src_compile() {
+ cmake-utils_src_compile -C TESTING/MATGEN
+ use static-libs && CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" \
+ cmake-utils_src_compile -C TESTING/MATGEN
+}
+
+src_install() {
+ cmake-utils_src_install -C TESTING/MATGEN
+ use static-libs && CMAKE_BUILD_DIR="${WORKDIR}/${PN}_static" \
+ cmake-utils_src_install -C TESTING/MATGEN
+}
diff --git a/scripts/merge-dualHEAD b/scripts/merge-dualHEAD
new file mode 100755
index 000000000..ca05ee4f5
--- /dev/null
+++ b/scripts/merge-dualHEAD
@@ -0,0 +1,64 @@
+#!/bin/bash
+# This script is licensed under BSD-3
+
+if [[ -f /usr/lib64/portage/bin/isolated-functions.sh ]]; then
+ . /usr/lib64/portage/bin/isolated-functions.sh
+elif [[ -f /usr/lib/portage/bin/isolated-functions.sh ]]; then
+ . /usr/lib/portage/bin/isolated-functions.sh
+else
+ alias ebegin=echo
+ alias eend=true
+fi
+
+ebegin "Starting from master"
+ echo
+ git checkout master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Fetching everything"
+ echo
+ git fetch --all -v || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Merging github"
+ echo
+ git merge -v github/master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Pushing to g.o.g.o"
+ git push -v origin || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Branching out github"
+ echo
+ git checkout -b github-merging github/master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Merging in g.o.g.o"
+ echo
+ git merge -v origin/master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Pushing to github"
+ echo
+ git push -v github HEAD:master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Going back to master"
+ echo
+ git checkout master || exit; _ret=$?
+ echo
+eend ${_ret}
+
+ebegin "Removing github branch"
+ echo
+ git branch -v -D github-merging || exit; _ret=$?
+ echo
+eend ${_ret}
diff --git a/virtual/blas/blas-2.1-r1.ebuild b/virtual/blas/blas-2.1-r1.ebuild
index e9762fe26..6eb12edac 100644
--- a/virtual/blas/blas-2.1-r1.ebuild
+++ b/virtual/blas/blas-2.1-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI=""
LICENSE=""
SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc"
RDEPEND="
@@ -29,10 +29,10 @@ RDEPEND="
DEPEND=""
pkg_pretend() {
- if [[ -e "${EPREFIX}"/usr/$(get_libdir)/lib${PN}.so ]]; then
+ if [[ -e "${EROOT%/}"/usr/$(get_libdir)/lib${PN}.so ]]; then
ewarn "You have still the old ${PN} library symlink present"
ewarn "Please delete"
- ewarn "${EPREFIX}/usr/$(get_libdir)/lib${PN}.so"
+ ewarn "${EROOT%/}/usr/$(get_libdir)/lib${PN}.so"
ewarn "to avoid problems with new ${PN} structure"
fi
}
diff --git a/virtual/lapack/lapack-3.5.ebuild b/virtual/lapack/lapack-3.5.ebuild
new file mode 100644
index 000000000..ea254e512
--- /dev/null
+++ b/virtual/lapack/lapack-3.5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Virtual for Linear Algebra Package FORTRAN 77 implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+RDEPEND="|| (
+ >=sci-libs/lapack-reference-${PV}
+ >=sci-libs/atlas-3.10.1[lapack]
+ )
+ doc? ( >=app-doc/lapack-docs-3.3 )"
+DEPEND=""
+
+
+pkg_pretend() {
+ if [[ -e "${EROOT%/}"/usr/$(get_libdir)/lib${PN}.so ]]; then
+ ewarn "You have still the old ${PN} library symlink present"
+ ewarn "Please delete"
+ ewarn "${EROOT%/}/usr/$(get_libdir)/lib${PN}.so"
+ ewarn "to avoid problems with new ${PN} structure"
+ fi
+}
diff --git a/virtual/lapacke/ChangeLog b/virtual/lapacke/ChangeLog
index f421fbe45..2ff0c072d 100644
--- a/virtual/lapacke/ChangeLog
+++ b/virtual/lapacke/ChangeLog
@@ -1,10 +1,14 @@
# ChangeLog for virtual/lapacke
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*lapacke-3.5 (08 Dec 2013)
+
+ 08 Dec 2013; Sébastien Fabbro <bicatali@gentoo.org> +lapacke-3.5.ebuild:
+ virtual/lapacke: Version bump
+
*lapacke-1.0 (09 Dec 2010)
09 Dec 2010; Sébastien Fabbro <bicatali@gentoo.org> +lapacke-1.0.ebuild,
+metadata.xml:
Initial import
-
diff --git a/virtual/lapacke/lapacke-3.5.ebuild b/virtual/lapacke/lapacke-3.5.ebuild
new file mode 100644
index 000000000..88118d41f
--- /dev/null
+++ b/virtual/lapacke/lapacke-3.5.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+DESCRIPTION="Virtual for LAPACK C implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+RDEPEND="|| (
+ >=sci-libs/lapacke-reference-3.5
+ )"
+DEPEND=""